diff --git a/changelog b/changelog
index 37bbd8b..2532ed6 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20081204 tpd src/axiom-website/patches.html 20081204.01.tpd.patch
+20081204 tpd src/axiom-website/matrixinmatrix.jpg replace texmacs version
+20081204 tpd src/axiom-website/heatequation.jpg replace texmacs version
+20081204 tpd src/axiom-website/axiomfirefox.jpg firefox screenshot
+20081204 tpd src/axiom-website/screenshots.html replace screenshots
 20081203 tpd src/axiom-website/patches.html 20081203.01.tpd.patch
 20081203 tpd books/bookvol10.3 add domains
 20081203 tpd books/ps/v103finitefieldcyclicgroup.ps added
diff --git a/src/axiom-website/axiomfirefox.jpg b/src/axiom-website/axiomfirefox.jpg
new file mode 100644
index 0000000..6ac4daf
Binary files /dev/null and b/src/axiom-website/axiomfirefox.jpg differ
diff --git a/src/axiom-website/heatequation.jpg b/src/axiom-website/heatequation.jpg
new file mode 100644
index 0000000..634e241
Binary files /dev/null and b/src/axiom-website/heatequation.jpg differ
diff --git a/src/axiom-website/matrixinmatrix.jpg b/src/axiom-website/matrixinmatrix.jpg
new file mode 100644
index 0000000..3359e59
Binary files /dev/null and b/src/axiom-website/matrixinmatrix.jpg differ
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8115d1e..e943b24 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -777,6 +777,8 @@ browser lighten background image <br/>
 website download.html add Doyen Thumbdrive <br/>
 <a href="patches/20081203.01.tpd.patch">20081203.01.tpd.patch</a>
 bookvol10.3 add domains<br/>
+<a href="patches/20081204.01.tpd.patch">20081204.01.tpd.patch</a>
+website update screenshots<br/>
 
  </body>
 </html>
\ No newline at end of file
diff --git a/src/axiom-website/screenshots.html b/src/axiom-website/screenshots.html
index c6e200d..d40d9de 100644
--- a/src/axiom-website/screenshots.html
+++ b/src/axiom-website/screenshots.html
@@ -120,15 +120,10 @@
 
  <li>
  <p>
- <font size=5>
-  Some matrix computations under <a
- href="http://texmacs.org/">TeXmacs</a>. Please notice the hierarchical
- editing capabilities of TeXmacs. 
- </font>
- <br>
- <br>
- <br>
- <img src="screenshot3.png"> <br/>
+ Axiom is capable of nesting a matrix within a matrix as can
+ be seen from this screenshot:
+ </p>
+ <img src="matrixinmatrix.jpg"> <br/>
  </p>
  </li>
 
@@ -294,13 +289,19 @@ Type: XPolynomialRing(SquareMatrix(2,Fraction Integer),OrderedFreeMonoid Symbol)
 
 </div>
 <hr>
- <font size=5>
-Axiom is now running under Windows. This is a screenshot of Axiom
-running on Windows in a TeXmacs window:
- </font>
+<p>
+Axiom can do rule substitution to help simplify complex results
+as this screenshot shows:
+</p>
+<img src="heatequation.jpg">
+<hr>
+<p>
+Axiom has a new Firefox front end which will replace the Hyperdoc
+help system:
+</p>
 <br>
 <br>
-<img src="screenshot2.jpg">
+<img src="axiomfirefox.jpg">
 <br>
 
 </body>
